- entityDefinitions:
  - IDE_ClassStart: '{8730d21a-44a8-4d93-9bf7-f8191ca08489}'
  - IDE_ClassSelect: '{bc393547-3a92-48b2-b0dc-7e93306ab5fb}'
  
- library: '&IDL_MochaBaseSystem;'
  instances:
  - workSet: '&IDI_WorkSet_ClassForEditClassTask;'
    name: 'Class for Edit Class Task'
    validClasses:
    - instance: '&IDC_Class;'

  - sequenceTask: '&IDI_Task_ViewClass;'
    name: 'View Class'
    initiatingElement: '&IDE_ViewClass;'
    taskCategory: '&IDI_TaskCategory_Class;'
    
  - sequenceTask: '&IDI_Task_EditClass;'
    name: 'Edit Class'
    initiatingElement: '&IDE_ClassStart;'
    taskCategory: '&IDI_TaskCategory_Class;'
    
    # name: 'View Class'
    # taskCategory: '&IDI_TaskCategory_Class;'
    # moduleId: '&IDI_Module_MochaBaseSystem;'
    # schedulable: no
    # longRunning: no
    # suppressRIHints: no
    # stepName: View Class
    # showSpreadsheetButtonOnSelection: no
    # relatedAction:
    #   object: '&IDC_Class;'
    #   action: 'View'
    #   menuPath: 'Class > View'
    # initiatingElement: '&IDE_ViewClass;'
    # taskDirectiveRAMB: '&IDMB_Element__get_Help_Text_for_View_Element;' # Element@get Help Text for View Element(GRA)*P*S(public)[ramb]
    # enableSaveParameters: no
    # enableReportGroups: no
    # handledByControlTransaction: '&IDM_Element__View_Start;' # Element@ View Start(CT)*S
    # respondsWithElement: '&IDE_ViewElementEdit;'
    # updating: no
    # targetAudience: 'ESS'
    # businessProcessType: 'VIEWELEMENT'

  - element: '&IDE_ClassStart;'
    name: 'class task start'
    processedByCTMethod: '&IDM_ClassTaskStart;'
    elementContents:
    - globalIdentifier: '{ee79d85e-e8e9-47ed-b3b4-691ea5e8730a}'
      defaultDataType: '&IDE_ClassSelect;'
      displayOptions:
      - instance: '&IDI_DisplayOption_ShowSubelementsVertically;'
      - instance: '&IDI_DisplayOption_Singular;'


  - element: '&IDE_ClassSelect;'
    name: 'class task start selection'
    elementContents:
    - globalIdentifier: '{6c035f37-a069-4256-8573-37eead06fcad}'
      defaultDataType: '&IDC_Class;'
      displayOptions:
      - instance: '&IDI_DisplayOption_Required;'

  - element: '&IDE_ViewClass;'
    name: 'view class'
    elementContents:
    - globalIdentifier: '{dafb235b-ba1a-4b1a-8f9b-84cd987553e4}'
      layout: '&IDI_ButtonLayout_DefaultButtonGroup;'
      label: 'Edit'
      value:
      - taskId: '&IDI_Task_EditClass;'
      - parameterAssignments:
        - globalIdentifier: '{9dbdb202-e9f8-49ca-bbc2-0b63df651246}'
          assignsToParm: '&IDC_Class;'
          assignsFromWorkData: '&IDC_Class;'
    
    - globalIdentifier: '{24fbaf94-bcca-4513-b93d-6a1866a1641c}'
      defaultDataType: '&IDE_Class_Structure;'
      displayOptions:
      - instance: '&IDI_DisplayOption_ShowSubelementsVertically;'
      - instance: '&IDI_DisplayOption_Singular;'
      - instance: '&IDI_DisplayOption_NotEnterable;'

  - element: '&IDE_EditClass;'
    name: 'edit class'
    elementContents:
    - globalIdentifier: '{c24c0ac5-4d79-4cad-9cb7-9917722d12d0}'
      defaultDataType: '&IDC_Class;'
      displayOptions:
      - instance: '&IDI_DisplayOption_DisplayAsPageTitle;'
      - instance: '&IDI_DisplayOption_Required;'
    - globalIdentifier: '{e9a6b12d-49a9-4224-bc1c-18cca8617fc2}'
      defaultDataType: '&IDE_Class_Structure;'
      displayOptions:
      - instance: '&IDI_DisplayOption_ShowSubelementsVertically;'
      - instance: '&IDI_DisplayOption_Singular;'

  - element: '&IDE_Class_Structure;'
    name: 'class structure subedits'
    label: 'Structure'
    elementContents:
    - globalIdentifier: '{4628e3c2-6287-426e-9c23-709aa111aefc}'
      defaultDataType: '&IDC_Class;'
      displayOptions:
      - instance: '&IDI_DisplayOption_DoNotShow;'

    - globalIdentifier: '{31a93137-7274-4cae-8839-504e10cfbf10}'
      defaultDataType: '&IDA_Name;'
      
    - globalIdentifier: '{e03e9f51-2c56-44a4-948f-feaefeda56c5}'
      defaultDataType: '&IDR_Instance__for__Module;'
      label: Module
      
    - globalIdentifier: '{86315789-642a-46fd-9d06-110078704356}'
      defaultDataType: '&IDR_Metadata_With_Access_Modifier__has__Access_Modifier;'
      label: Access